/* 
 * @(#)QryProdCostServices.java       03:25:57 PM 2003/02/21
 *
 * This class will read the host information from 
 * the web.xml of the deployed webapp.
 * To set those information, please refer to the documentation, 
 * 
 */ 
package wholesale;


import java.math.*;
import com.ibm.connector.as400.*;


public class QryProdCostServices extends ProgramCallBean
{

  public QryProdCostServices()
  {
    super();
    System.out.println("In service bean");
    WebIntRuntimeConfig rtCfg = new WebIntRuntimeConfig( "QryProdCost", this );
    String[] connData = rtCfg.getHostConnectionInfo();
    setPcmlName("QryProdCost");
    setLibraryList( rtCfg.getLibraryList() );
    setConnectionData( connData[0], connData[1], connData[2] );
    setTraceEnabled( false );
  }


	public String QryProdCost_XML(BigDecimal ItemNo) {
		setProgramName("QryProdCost");
		setValue("QryProdCost.ItemNo", ItemNo);
		invoke();
		String strResult = process_QryProdCost_Output_XML();
		return strResult;
	}

	public QryProdCostResult QryProdCost(BigDecimal ItemNo) {
		setProgramName("QryProdCost");
		setValue("QryProdCost.ItemNo", ItemNo);
		invoke();
		QryProdCostResult result = process_QryProdCost_Output();
		return result;
	}

	public QryProdCostResult QryProdCost(QryProdCostInput inputData) {
		HandleInput(inputData);
		invoke();
		QryProdCostResult result = process_QryProdCost_Output();
		return result;
	}
	public String QryProdCost_XML(QryProdCostInput inputData) {
		HandleInput(inputData);
		invoke();
		String strResult = process_QryProdCost_Output_XML();
		return strResult;
	}
	private void HandleInput(QryProdCostInput inputData) {
		setProgramName("QryProdCost");
		int[] idx = null;
		setValue("QryProdCost.ItemNo", idx, inputData.getItemNo());
	}
	private int[] addidx(int[] arg, int arg2) {
		int[] toReturn;
		if (arg == null) {
			toReturn = new int[] { arg2 };
			return toReturn;
		}
		toReturn = new int[arg.length + 1];
		for (int i = 0; i < arg.length; i++) {
			toReturn[i] = arg[i];
		}
		toReturn[toReturn.length - 1] = arg2;
		return toReturn;
	}
	private int[] removeidx(int[] arg) {
		if (arg.length == 1)
			return null;
		int[] toReturn = new int[arg.length - 1];
		for (int i = 0; i < toReturn.length; i++) {
			toReturn[i] = arg[i];
		}
		return toReturn;
	}

	private String process_QryProdCost_Output_XML() {
		StringBuffer strResult = new StringBuffer();
		int[] idx = null;
		strResult.append("<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n");
		strResult.append("<QryProdCost>\n");
		strResult.append(
			"  <Cost>"
				+ getData("QryProdCost.Cost", ProgramCallBean.BIGDECIMAL, idx)
				+ "</Cost>\n");
		strResult.append("</QryProdCost>\n");
		return strResult.toString();
	}

	private QryProdCostResult process_QryProdCost_Output() {
		int[] idx = null;
		QryProdCostResult result = new QryProdCostResult();
		result.setCost((BigDecimal) getValue("QryProdCost.Cost"));
		return result;
	}


}
